## NemoLocationWidgetProvider

NemoLocationWidgetProvider — Allows a custom widget to be added to a Nemo view.

## Functions

GtkWidget * | nemo_location_widget_provider_get_widget ()

## Types and Values

| NemoLocationWidgetProvider
struct | NemoLocationWidgetProviderInterface

## Object Hierarchy

        GInterface
        ╰── NemoLocationWidgetProvider

## Prerequisites

NemoLocationWidgetProvider requires GObject.

## Description

This is an interface to allow the provision of a custom location widget embedded at the top of the Nemo view. It receives the current location, and can then determine whether or not the location is appropriate for a widget, and its contents.

Be aware that this extension is queried for a new widget any time a view loads a new location, or reloads the current one.

## Functions

### nemo_location_widget_provider_get_widget ()

    GtkWidget *
    nemo_location_widget_provider_get_widget
                                   (NemoLocationWidgetProvider *provider,
                                    const char *uri,
                                    GtkWidget *window);

#### Parameters

provider | a NemoLocationWidgetProvider |
uri | the URI of the location |
window | parent GtkWindow |

#### Returns

the location widget for `provider` at `uri` .

[transfer none]

## Types and Values

### NemoLocationWidgetProvider

    typedef struct _NemoLocationWidgetProvider NemoLocationWidgetProvider;

### struct NemoLocationWidgetProviderInterface

    struct NemoLocationWidgetProviderInterface {
    	GTypeInterface g_iface;

    	GtkWidget * (*get_widget) (NemoLocationWidgetProvider *provider,
    				   const char                     *uri,
    				   GtkWidget                      *window);
    };